//ray.h

#ifndef __RAY_H
#define __RAY_H

class Ray
{
public:
	Ray();

	const D3DXVECTOR3&	GetOrg() const;
	void				SetOrg( const D3DXVECTOR3 &origin );
	const D3DXVECTOR3&	GetDir() const;
	void				SetDir( const D3DXVECTOR3 &dir );
	float				GetLength() const;
	void				SetLength( float len );

private:
	D3DXVECTOR3		m_org; 
	D3DXVECTOR3		m_dir;
	float			m_length;; 
};


#endif