//DxClipPolygon.h

#ifndef _DXCLIPPOLYGON_H
#define _DXCLIPPOLYGON_H

class	ObbMesh;

class DxClipPolygon : public DxPolygon
{
public:
	DxClipPolygon();
	virtual ~DxClipPolygon();

	virtual void	Render( const LPDIRECT3DDEVICE9 device );

	void	TestDecalmap();
	void	SetDecalPos( float x, float y, float z );
	void	SetDecalLookAt( float x, float y, float z );
	void	SetDecalRadius( float x, float y, float z );

protected:
	virtual void	Cleanup();
	virtual void	CopyData();

	void	MakeCameraLine( const D3DXMATRIX& mat );
	void    CopyCameraLine();
	void	GetViewMatrix( D3DXMATRIX* pMatView );
	void	GetProjectionMatrix( D3DXMATRIX* pMatProj );
	void	MakeObbBox( const D3DXMATRIX& mat );
	void	GetViewMatrix( D3DXMATRIX& m,  const D3DXVECTOR3 &vFrom, const D3DXVECTOR3 &vView, const D3DXVECTOR3 &vUp, const D3DXVECTOR3 &vRight);

	D3DXVECTOR3		m_decalPos;
	D3DXVECTOR3		m_decalLookAt;
	D3DXVECTOR3		m_decalRadius;
	ObbMesh*		m_pObbBox;

	//ī޶ 
	DataType::WireVertex*	m_pCameraVertex;
	int						m_nCameraCount;
	PointArray				m_cameraLine;
};


#endif