//aabb.h
#ifndef  __AABB_H
#define  __AABB_H

class AABB
{
public:
	AABB();
	virtual ~AABB();
  
	static const float INFINITY;
	static const float EPSILON;
	void	GetMinMax( D3DXVECTOR3& _min, D3DXVECTOR3 _max );
	void    SetMinMax( D3DXVECTOR3& _min, D3DXVECTOR3 _max );
	bool	TestPoint( const D3DXVECTOR3& pos );
	bool	TestAABB( AABB& box );
	bool	TestSphere( const D3DXVECTOR3& sphereCenter, float sphereRadius );
	bool	TestRay(const Ray &ray);

protected:
	bool Equals( float lhs, float rhs );

protected:
	D3DXVECTOR3 m_min;
	D3DXVECTOR3 m_max;
};


#endif